package ir.type;

import java.util.Objects;

public class PointerSysYType implements SysYType{
    private final SysYType param;

    public PointerSysYType(SysYType param) {
        this.param = param;
    }

    public SysYType getParam() {
        return param;
    }

    public static PointerSysYType construct(SysYType inner) {
        return new PointerSysYType(inner);
    }
    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        PointerSysYType that = (PointerSysYType) o;
        return param.equals(that.param);
    }

    @Override
    public int hashCode() {
        return Objects.hash(param);
    }

    @Override
    public String toString() {
        return param.toString() + "*";
    }
}
