package ir.value;

import ir.type.SysYType;

import java.util.ArrayList;

public class User extends Value{
    protected ArrayList<Value> uses; //使用的值

    public User(ArrayList<User> users,ArrayList<Value> uses) {
        super(users);
    }

    public User(ArrayList<User> users, SysYType type) {
        super(users, type);
        this.uses = new ArrayList<>();
    }

    public void addUse(Value value) {
        uses.add(value);
    }

    public User(SysYType type, String name) {
        super(type, name);
        uses = new ArrayList<>();
    }

    //    public User( ArrayList<Value> uses) {
//        super();
//        this.uses = uses;
//    }
}
