package treeir;

import java.util.ArrayList;
import java.util.Map;

public class NumberInt extends Node{
    private int value;
    public NumberInt(int value, Node parent) {
        super(new ArrayList<>(), parent);
        this.value = value;
    }

    public int getValue() {
        return value;
    }

    @Override
    public TreeValue evaluate(Map<String, TreeValue> env) {
        return new TreeValue(value);
    }

    @Override
    public String toString() {
        return String.valueOf(value);
    }

    public NumberFloat castFloat() {
        return new NumberFloat((float) value, parent);
    }
}
