package ir;
import org.antlr.runtime.CharStream;

import org.antlr.v4.runtime.CharStreams;
import org.antlr.v4.runtime.CommonTokenStream;
import org.antlr.v4.runtime.tree.ParseTree;
import org.junit.Test;
import parser.MySysYVisitor;
import parser.SysYLexer;
import parser.SysYParser;
import util.Mylogger;

import java.io.IOException;

import static org.junit.Assert.*;

public class MyVisitorTest {
    @Test
    public void runParser() throws IOException {
        var input = CharStreams.fromFileName("testRes\\simple.sy");
        SysYLexer lexer = new SysYLexer(input);
        CommonTokenStream tokens = new CommonTokenStream(lexer);
        SysYParser parser = new SysYParser(tokens);
        ParseTree tree = parser.compUnit();
        var visitor = new MySysYVisitor();
        visitor.visit(tree);
        var r = visitor.getRoot();
        System.out.println(r);
        //MyVisitor visitor1 = new MyVisitor(r);
        //visitor1.compiler();
        //visitor1.setName();
       // System.out.println(visitor1.getModule());
    }
}
