package ir.opt;

import ir.MyModule;
import ir.value.Function;
import util.MyNode;

import java.util.ArrayList;

// 构造IR完成后立即运行，目前用于删掉具有空体的函数
public class InitPass implements IRPass{
    @Override
    public void run(MyModule module) {
        var funcToRemove = new ArrayList<MyNode<Function>>();
        for (var funcNode :
                module.getFunctions()) {
            var func = funcNode.getValue();
            if (func.getList().getSize() == 0) {
                funcToRemove.add(funcNode);
            }
        }
        for (var funcNode :
                funcToRemove) {
            var func =funcNode.getValue();

        }
    }
}
