package ir.value;

import ir.type.SysYType;

import java.util.ArrayList;

public class GlobalValue extends User{
    boolean isArray;
    public GlobalValue(ArrayList<User> users, ArrayList<Value> uses) {
        super(users, uses);
    }

    public GlobalValue(ArrayList<User> users, SysYType type) {
        super(users, type);
    }

    public GlobalValue(SysYType type, String name) {
        super(type, name);
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        //sb.append("@");
        sb.append(getName()).append(" = dso_local ").append("global ");
        sb.append(" ").append(uses.get(0));
        return sb.toString();
    }
}
