package treeir;

import java.util.ArrayList;
import java.util.Map;

/**
 * Cond(Cond, Node1, Node2)
 * 条件执行
 */
public class Condition extends Node{
    public Condition(ArrayList<Node> children, Node parent) {
        super(children, parent);
    }

    @Override
    public TreeValue evaluate(Map<String, TreeValue> env) {
        return null;
    }

    @Override
    public String toString() {
        if (getChildren().size() == 2) {
            return String.format(
                    "(Cond %s %s ())",
                    getChildren().get(0).toString(),
                    getChildren().get(1).toString()
            );
        }
        return String.format(
                "(Cond %s %s %s)",
                getChildren().get(0).toString(),
                getChildren().get(1).toString(),
                getChildren().get(2).toString()
        );
    }
}
