package treeir;

import java.util.ArrayList;
import java.util.Map;

/**
 * 函数调用
 */
public class FunCall extends Node{

    private String name;

    public String getName() {
        return name;
    }

    public FunCall(ArrayList<Node> children, Node parent, String name) {
        super(children, parent);
        this.name = name;
    }

    @Override
    public TreeValue evaluate(Map<String, TreeValue> env) {
        return null;
    }

    @Override
    public String toString() {
        StringBuilder ret = new StringBuilder("(" + name);
        for (var c :
                children) {
            ret.append(String.format(" %s", c.toString()));
        }
        ret.append(")");
        return ret.toString();
    }
}
