package treeir;

import java.util.Map;

public class Ident extends Node{
    private final String ident;
    public Ident(Node parent, String ident) {
        super(null, parent);
        this.ident = ident;
    }

    public String getIdent() {
        return ident;
    }

    @Override
    public TreeValue evaluate(Map<String, TreeValue> env) {
        return env.get(ident);
    }

    @Override
    public String toString() {
        return "\'"+ident;
    }
}
