package treeir;

import java.util.ArrayList;
import java.util.Map;

public class NumberFloat extends Node{
    private float value;
    public NumberFloat(float value, Node parent) {
        super(new ArrayList<>(), parent);
        this.value = value;
    }

    public float getValue() {
        return value;
    }

    @Override
    public TreeValue evaluate(Map<String, TreeValue> env) {
        return new TreeValue(value);
    }

    @Override
    public String toString() {
        return String.format("%.1f",value);
    }

    public NumberInt castInt() {
        return new NumberInt((int)value, parent);
    }
}
