package treeir;

import ir.type.SysYType;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

/**
 * Seq(Node, Node, Node, ...)
 * 顺序执行
 */
public class Sequence extends Node{
    public HashMap<String, TreeValue> getConstants() {
        return constants;
    }

    public HashMap<String, SysYType> getLocals() {
        return locals;
    }

    private final HashMap<String, TreeValue> constants = new HashMap<>();

    private final HashMap<String, SysYType> locals = new HashMap<>();
    public Sequence(ArrayList<Node> children, Node parent) {
        super(children, parent);
    }

    @Override
    public TreeValue evaluate(Map<String, TreeValue> env) {
        return null;
    }

    @Override
    public String toString() {
        var sb = new StringBuilder("(Seq\n");
        for (var child :
                children) {
            sb.append(child).append("\n");
        }
        return sb.toString();
    }
}
