package util;

public class MyNode<E> {
    E value;
    MyNode<E> next;
    MyNode<E> prev;

    public MyNode(MyNode<E> prev, E value, MyNode<E> next) {
        this.value = value;
        this.next = next;
        this.prev = prev;
    }

    public void insertBefore(MyNode<E> ohter) {
        if (prev != null) {
            prev.next = ohter;
        }
        ohter.prev = prev;
        prev = ohter;
        ohter.next = this;
    }

    public void insertAfter(MyNode<E> ohter) {
        if (next != null) {
            next.prev = ohter;
        }
        ohter.next = next;
        next = ohter;
        ohter.prev = this;
    }

    public E getValue() {
        return value;
    }
}
